# -*- mode: makefile; coding: utf-8 -*-

_cdbs_scripts_path ?= /usr/lib/cdbs
_cdbs_rules_path ?= /usr/share/cdbs/1/rules
_cdbs_class_path ?= /usr/share/cdbs/1/class

_flybuild_scripts_path ?= /usr/share/flybuild

include $(_cdbs_rules_path)/debhelper.mk$(_cdbs_makefile_suffix)

include /usr/share/flybuild/fly_vars.mk

DEB_BUILD_PARALLEL ?= 1
DEB_QMAKE_ARGS += SOURCE_VERSION=$(DEB_VERSION) \
	FLY_ORGANIZATION_NAME=$(FLY_ORGANIZATION_NAME) \
	FLY_OS_EDITION=$(FLY_OS_EDITION) \
	FLY_INSTALL_PREFIX=$(FLY_INSTALL_PREFIX) \
	FLY_INSTALL_BINS=$(FLY_INSTALL_BINS) \
	FLY_INSTALL_LIBS=$(FLY_INSTALL_LIBS) \
	FLY_INSTALL_HEADERS=$(FLY_INSTALL_HEADERS) \
	FLY_INSTALL_ICONS=$(FLY_INSTALL_ICONS) \
	FLY_INSTALL_DATA=$(FLY_INSTALL_DATA) \
	FLY_INSTALL_TRANSLATIONS=$(FLY_INSTALL_TRANSLATIONS) \
	FLY_INSTALL_DESKTOP_FILES=$(FLY_INSTALL_DESKTOP_FILES) \
	FLY_INSTALL_DOCS=$(FLY_INSTALL_DOCS)

ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
	DEB_QMAKE_CONFIG_VAL += debug
endif

export QT_SELECT := qt5

fly_non_free_package=$(findstring non-free/,$(shell $(_flybuild_scripts_path)/get-package-section.pl))

$(patsubst %,binary-install/%,$(DEB_ALL_PACKAGES))::
	$(if $(fly_non_free_package), rm -rf debian/$(cdbs_curpkg)/usr/share/doc; rmdir -p --ignore-fail-on-non-empty debian/$(cdbs_curpkg)/usr/share,)

$(patsubst %,binary-predeb-IMPL/%,$(DEB_ALL_PACKAGES)):: binary-predeb-IMPL/%:
	/usr/share/flybuild/fly_qmlc_deps $(FLY_QMLC_DEPS_ARGS) -p$(cdbs_curpkg)
